## wxwidgets2.8 2.8.11.0

=== debian/changelog ===
wxwidgets2.8 (2.8.11.0-0ubuntu4.1) maverick-proposed; urgency=low

  * Apply appmenu.patch to get menus back (LP: #662077).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Feb 2011 21:05:43 +0100

wxwidgets2.8 (2.8.11.0-0ubuntu4) maverick; urgency=low

  * python-wxversion: install wxversion.py in the right path (LP: #620280).
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 26 Aug 2010 08:46:02 +0200

wxwidgets2.8 (2.8.11.0-0ubuntu3) maverick; urgency=low

  * debian/rules: revert a change introduced in 2.8.11.0-0ubuntu2 which broke
    python-wxgtk2.8 postinst.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 22 Jul 2010 03:27:35 +0200

wxwidgets2.8 (2.8.11.0-0ubuntu2) maverick; urgency=low

  * Merge *some* changes from Debian package (version 2.8.10.1-3). This should
    make merges easier. Also fixes LP: #559822. Also merged several patches.
  * Remove debian/patches/editra_pixmaps.dpatch patch, we don't ship editra
    anymore.
  * Remove files which broke update-alternatives (LP: #379573).
  * Switch to format 3.0 (quilt).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Tue, 20 Jul 2010 01:55:41 +0200

wxwidgets2.8 (2.8.11.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #568985).
  * Fix missing-debian-source-format info.
  * Fix patch-system-but-no-source-readme lintian warning.
  * Fix debhelper-but-no-misc-depends lintian warnings.
  * Remove octave_oct, tcl_tk_tcl, CVE-2009-2369 and svn61009_fix_ftbfs
    patches, not needed anymore.
  * Bump Standards-Version to 3.9.0.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 15 Jul 2010 18:23:34 +0200

wxwidgets2.8 (2.8.10.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #387424).
  * Update debian/patches/tcl_tk.tcl.dpatch patch.
  * Update debian/patches/editra_pixmaps.dpatch patch.
  * Remove debian/patches/colours.dpatch patch, merged upstream.
  * Remove useless debian/patches/WX_CONFIG.dpatch file.
  * debian/control.in: modify *-dbg Section field to debug.
  * debian/control.in: unfold the Build-Depends, Suggests, Replaces and
    Depends fields.
  * Override ancient-libtool and outdated-autotools-helper-file lintian
    warnings and ancient-autotools-helper-file lintian errors.
  * Fix debian-watch-file-should-use-sf-redirector lintian warning.
  * Fix binary-control-field-duplicates-source lintian infos.
  * Fix duplicate-short-description lintian info.
  * Move debian/*.desktop files to debian/desktop_files directory.
  * Move debian/*.1 files to debian/manpages directory.
  * Remove useless debian/README.HowToBuild.txt file.
  * Remove debian/build_all file, it isn't used.
  * Add debian/patches/CVE-2009-2369.dpatch patch taken from Debian unstable,
    fix an integer overflow in the wxImage::Create function (CVE-2009-2369).
  * Add debian/patches/svn61009_fix_ftbfs.dpatch patch taken from upstream
    SVN rev 61009, fix FTBFS caused by new versions of glib.
  * debian/rules: fix FTBFS caused by some changes introduced in
    2.8.9.1-0ubuntu5.
  * Add debian/patches/{wxversion_path, wx_pth_dbg}.dpatch patches with
    changes introduced directly to source in 2.8.9.1-0ubuntu5.
    PLEASE REMEMBER, THERE IS NOTHING WRONG WITH USING DPATCH!
  * Do not provide python-wxaddons package, upstream doesn't ship wxaddons
    anymore.
  * debian/control.in: add Homepage field.
  * Fix description-possibly-contains-homepage lintian infos.
  * Bump Standards-Version to 3.8.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Tue, 11 Aug 2009 14:33:24 +0200

wxwidgets2.8 (2.8.9.1-0ubuntu6) jaunty; urgency=low

  * Don't call dh_pycentral twice for each package (introduced in
    2.8.9.1-0ubuntu1). LP: #355455.
  * Call dh_pycentral for python-wxversion.
  * python-wxversion replaces earlier python-wxgtk2.8. LP: #355424.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Apr 2009 14:23:51 +0200

wxwidgets2.8 (2.8.9.1-0ubuntu5) jaunty; urgency=low

  [Isaac Gordezky]
  * Fix duplicate directories in python2.6. LP: #337696.
  * Fix handling of python .egg-info files using links
  * Allow side-by-side install for python-wx2.6

  [Matthias Klose]
  * Fix wxaddons packaging.
  * Call dh_pycentral with `include-links' instead of 'nomove'.
  * debian/rules (clean): Remove uudecoded png icons.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Apr 2009 22:24:59 +0200

wxwidgets2.8 (2.8.9.1-0ubuntu4) jaunty; urgency=low

  * Fix a typo in the python-wxgtk2.8 postinst. LP: #333782.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2009 02:03:08 +0000

wxwidgets2.8 (2.8.9.1-0ubuntu3) jaunty; urgency=low

  * Fix installation of python-wxgtk2.8, hard coding the name of the
    site directory. LP: #333149.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Feb 2009 23:25:54 +0000

wxwidgets2.8 (2.8.9.1-0ubuntu2) jaunty; urgency=low

  * Build for python2.6.
  * Don't hardcode the name of the site directory.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Feb 2009 11:05:20 +0000

wxwidgets2.8 (2.8.9.1-0ubuntu1) jaunty; urgency=low

  * New upstream release, tarball generated by get-orig-source rule.
  * Add debian/patches/fix_b_bashism.dpatch patch to fix a bashism.
  * Add debian/patches/colours.dpatch from Tim Kosse to fix colours issues
    when a dark theme is used (LP: #284755).
  * Remove debian/patches/fix_from_upstream_svn_r52465.dpatch patch, we can
    download it from the upstream svn.
  * debian/rules: include some changes from Debian debian/rules.
  * Move all icons from debian to debian/icons dir.
  * Fix dpatch-missing-description lintian warnings.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 05 Nov 2008 17:43:07 +0100

wxwidgets2.8 (2.8.8.0-0ubuntu2) intrepid; urgency=low

  * debian/python-wxgtk.postinst,
    debian/python-wxgtk.prerm,
    debian/rules:
    - Switch back to update-alternatives for python-wxgtk2.8, so that
      python-wxgtk2.6 can work when python-wxgtk2.8 isn't installed
      (see #274619). Re-fixes lp: #211553.


