=== debian/control ===
Source: wxwidgets2.8
Section: libs
Priority: optional
Build-Depends: debhelper (>= 5.0.37.1), flex, bison, gettext, libgtk2.0-dev,
 python-all-dev (>= 2.4), python-all-dbg (>= 2.4), zlib1g-dev, libjpeg62-dev,
 libpng12-dev, libtiff4-dev, libsm-dev, libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev,
 libgconf2-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
 python-central (>= 0.6.11), bc, quilt, sharutils
Maintainer: Ubuntu MOTU developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
XS-Python-Version: all
Standards-Version: 3.9.1
Homepage: http://www.wxwidgets.org/

Package: libwxbase2.8-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk2.8 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase2.8-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, wx2.8-headers (= ${binary:Version}), libc6-dev | libc-dev, libwxbase2.8-0 (= ${binary:Version})
Suggests: wx2.8-doc, gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase2.8-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, wx2.8-headers (= ${binary:Version}), libc6-dev | libc-dev,
 libwxbase2.8-0 (= ${binary:Version})
Description: wxBase library (debug) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...) win32, and BeOS.
 .
 This package provides a debug version of the wxBase library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWidgets itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.8-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libgnomeprintui2.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk2.8-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, wx2.8-headers (= ${binary:Version}), libwxgtk2.8-0 (= ${binary:Version}), libwxbase2.8-dev (= ${binary:Version})
Suggests: wx-common, wx2.8-doc, libstdc++-dev, gettext, libgl1-mesa-dev | xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk2.8-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, wx2.8-headers (= ${binary:Version}), libwxbase2.8-dbg (= ${binary:Version})
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a debug version of the wxGTK library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWidgets itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: python-wxgtk2.8
Architecture: any
Homepage: http://www.wxpython.org/
Section: python
Depends: ${misc:Depends}, python-wxversion (>= 2.8.9.1-0ubuntu6), ${python:Depends},
 ${shlibs:Depends}
Suggests: wx2.8-doc, wx2.8-examples, python-wxtools, ruby, wish | tk8.5,
 tcsh | csh, octave3.0, mksh | pdksh, python-xml, editra
Conflicts: libwxgtk2.6-0-python, wxpython2.6-0
Replaces: libwxgtk2.6-0-python, wxpython2.6-0
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python binding to the wxGTK library and the
 wxPython runtime support libraries.  If you wish to use xrc you'll also
 need the python-xml package installed.

Package: python-wxgtk2.8-dbg
Homepage: http://www.wxpython.org/
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, python-wxgtk2.8 (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Suggests: python-xml-dbg
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding, debug version)
 wxWidgets is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.8
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a Python binding to the wxGTK debug library.
 This package contains the extensions built for the Python debug interpreter.

Package: python-wxversion
Homepage: http://www.wxpython.org/
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk2.8 (>= 2.8.6.1-0ubuntu2)
 | python-wxgtk2.6 (>= 2.6.3.2.2-1ubuntu2)
Conflicts: wxpython2.6-0, python-wxgtk2.8 (<< 2.8.6.1-0ubuntu2),
 python-wxgtk2.6 (<< 2.6.3.2.2-1ubuntu2)
Replaces: wxpython2.6-0, python-wxgtk2.8 (<< 2.8.9.1-0ubuntu6)
XB-Python-Version: ${python:Versions}
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython version selector)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the wxPython version selector.

Package: python-wxtools
Homepage: http://www.wxpython.org/
Architecture: all
Section: python
Depends: ${misc:Depends}, python-wxgtk2.8, ${python:Depends}
Conflicts: wxpython2.6-0
Replaces: wxpython2.6-0, libwxgtk2.4-python, wxpython2.4-1
XB-Python-Version: ${python:Versions}
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython common files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides support utilities and common files for wxPython2.8.
 If you wish to use xrced you'll also need the python-xml package installed.

Package: wx-common
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: wx2.6-common
Replaces: wxwin2.4-headers, libwxgtk2.4-contrib-dev, wx2.6-common
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx2.8-headers
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx2.8-i18n
Architecture: all
Conflicts: wx-i18n, wxwin-i18n, wx2.4-i18n
Replaces: wx-i18n, wxwin-i18n, wx2.4-i18n, wx2.5-i18n
Provides: wx-i18n
Depends: ${misc:Depends}
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx2.8-doc
Architecture: all
Section: doc
Provides: wx-doc
Suggests: doc-base, www-browser
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a HTML version of the wxWidgets reference manual.

Package: wx2.8-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Suggests: libwxgtk2.8-dev (= ${binary:Version}), wx2.8-doc
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++ and with the wxPython language binding.

Package: libwxmsw2.8-dev
Architecture: i386
Section: otherosfs
Depends: ${misc:Depends}, wx2.8-headers-msw (= ${binary:Version})
Description: wxMSW mingw32msvc-cross
 mingw32msvc-cross wxMSW libs.

Package: libwxmsw2.8-dbg
Architecture: i386
Section: otherosfs
Depends: ${misc:Depends}, wx2.8-headers-msw (= ${binary:Version})
Description: wxMSW mingw32msvc-cross (debug)
 mingw32msvc-cross wxMSW libs.
 __WXDEBUG__ version.

Package: wx2.8-headers-msw
Architecture: i386
Section: otherosfs
Depends: ${misc:Depends}, wx2.8-headers (= ${binary:Version})
Description: Extra wxWidgets headers for mingw32msvc-cross
 Headers required by the wxWidgets mingw32msvc-cross libraries.
