=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx CVS source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

SHELL = /bin/bash

#export DH_VERBOSE=1

include /usr/share/pycentral-data/pycentral.mk
include /usr/share/quilt/quilt.make
export DH_OPTIONS

# WXPYTHON_VERSION = $(shell dpkg-parsechangelog | sed -ne '/^Version: /s@Version: \(.*\)@\1@p')

ifdef CONCURRENCY_LEVEL

  # A user who knows what they want, that's like gold...
  # respect their precious opinion of how much blue smoke to use.
  JOB_COUNT := $(CONCURRENCY_LEVEL)

else ifdef DISTCC_HOSTS

 # Otherwise, if they have a cluster, try to put it to good use.
  JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$\#)

 # Not much faster, but it might keep you warm in winter...
 #JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$(($$\# + $$\#)))

endif

ifdef JOB_COUNT
  FAST_MAKE  = $(MAKE) -j $(JOB_COUNT)
else
  FAST_MAKE = $(MAKE)
endif

python_ver := $(shell pyversions -d)
PYVER := $(shell pyversions -vd)
PYVERS := $(shell pyversions -vr)


# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.

# DEBIAN_WX_DEFAULT_VERSION = 2.6


# This will extract a flavour out of the changelog and flavour the
# packages and binaries with it.  'Official' builds should use a
# changelog entry with a source package of the form wxwidgets$RELEASE.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR, where any
# descriptive alphanumeric name will do for FLAVOUR.  This will allow
# a custom build to be installed alongside the mainline ones without
# conflict.
DEBIAN_WXFLAVOUR := $(shell dpkg-parsechangelog | sed -ne '/^Source: /s@.*wxwidgets[0-9.]\+-\?\(.*\)@\1@p')


wx_major_version_number := $(shell sed -n 's/^wx_major_version_number=//p' configure.in)
wx_minor_version_number := $(shell sed -n 's/^wx_minor_version_number=//p' configure.in)
wx_release_number       := $(shell sed -n 's/^wx_release_number=//p' configure.in)
wx_subrelease_number    := $(shell sed -n 's/^wx_subrelease_number=//p' configure.in)

##release   := $(shell dpkg-parsechangelog | sed -n 's/^Source: wxwidgets//p' | sed 's/-ansi//')
release  := $(wx_major_version_number).$(wx_minor_version_number)

# This is broken completely now by bakefiles changes.  Until we add
# some hocus pocus to the main tree, to export these values from it
# again, we approximate its behaviour (fairly precisely fwiw) to
# specify $soversion below.  Re-automate if incompatible changes
# result in it actually changing.
#soversion := $(shell grep '^WX_CURRENT=' configure.in | sed 's/WX_CURRENT=\([0-9]\+\).*/\1/')
soversion := 0
sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))

# In some places we use the full version number, including the micro version,
# for the development releases (which can be incompatible for the same major
# and minor version) but just the major.minor for the stable releases (which
# are supposed to be compatible), this variable contains the appropriate value
ifeq ($(shell echo `echo $(release) | sed 's/.\+\.\(.\+\)/\1/'`%2 | bc),1)
    # development release
    compatible_release := $(release).$(wx_release_number)
else
    compatible_release := $(release)
endif

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))

pytoolkit := gtk2
pydir     := usr/lib/$(python_ver)/$(call sitedir,$(python_ver))
wxsubdir  := wx-$(compatible_release)-$(pytoolkit)-unicode
wxpydir   := $(pydir)/$(wxsubdir)

cross_host  := i586-mingw32msvc
cross_build := $(shell ./config.guess)

config_cache       = ../config_deb.cache
config_cache_cross = ../config_deb_cross.cache


# build options
COMMON_CONFIGURE_OPTIONS = \
    --prefix=/usr \
    --cache-file=$(config_cache) \
    --with-flavour=$(DEBIAN_WXFLAVOUR) \
    --with-zlib=sys \
    --with-expat=sys \
    --disable-reserved_virtual \

BASE_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --disable-gui \

GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --with-gtk \
    --enable-sound \
    --with-sdl \
    --enable-display \
    --enable-geometry \
    --enable-graphics_ctx \
    --with-libjpeg=sys \
    --with-libpng=sys \
    --with-libtiff=sys \
#   --enable-mediactrl \

PY_WX_CONFIG_OPTIONS = --version=$(release) --toolkit=$(pytoolkit) --static=no

WX_UNICODE ?= 1
WX_OPENGL := 1

ifeq ($(WX_UNICODE),1)
    COMMON_CONFIGURE_OPTIONS += --enable-unicode
    PY_WX_CONFIG_OPTIONS += --unicode
    PY_UNICODE="UNICODE=1"
    wxpydir := $(pydir)/wx-$(compatible_release)-$(pytoolkit)-unicode

    # for compatibility with the existing 2.6 packages, we don't use "u" in
    # the Unicode (default) package names
    unicode_suffix :=
else
    # but we do need to use something for non-Unicode packages to distinguish
    # them
    unicode_suffix := -ansi
endif

ifeq ($(WX_OPENGL),1)
    GTK_CONFIGURE_OPTIONS += --with-opengl
else
    GTK_CONFIGURE_OPTIONS += --without-opengl
endif

# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)$(unicode_suffix)
package_wxbase_dev      := libwxbase$(release)$(unicode_suffix)-dev
package_wxbase_dbg      := libwxbase$(release)$(unicode_suffix)-dbg

package_gtk_lib         := libwxgtk$(sorelease)$(unicode_suffix)
package_gtk_dev         := libwxgtk$(release)$(unicode_suffix)-dev
package_gtk_dbg         := libwxgtk$(release)$(unicode_suffix)-dbg




package_gtk_py_lib      := python-wxgtk$(release)$(unicode_suffix)
package_gtk_py_ver       = python-wxversion
package_gtk_py_tools     = python-wxtools

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_doc             := wx$(release)-doc
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common) $(package_gtk_py_ver) $(package_gtk_py_tools)


package_gtk_dbg_py      := python-wxgtk$(release)$(unicode_suffix)-dbg



package_msw_dev         := libwxmsw$(release)$(unicode_suffix)-dev
package_msw_dbg         := libwxmsw$(release)$(unicode_suffix)-dbg
package_headers_msw     := wx$(release)-headers-msw

# The packages listed here will not be built by default.
extra_packages := \
		  $(package_msw_dev) $(package_msw_dbg) $(package_headers_msw)

ifdef DEBIAN_WX_DEFAULT_VERSION

  extra_packages += $(common_packages)

endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_wxbase_debug        = objs_wxbase_d
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_debug           = objs_gtk_d
objdir_gtk_install         = objs_gtk_install
objdir_doc_cruft           = objs_doc_con
objdir_doc                 = docs/wx-manual.html
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_msw_shared          = objs_msw_sh
objdir_msw_static          = objs_msw_st
objdir_msw_dbg             = objs_msw_d
objdir_msw_install         = objs_msw_install

objdirs := $(objdir_wxbase_shared) $(objdir_wxbase_debug)                  \
	   $(objdir_gtk_shared) $(objdir_gtk_debug) $(objdir_gtk_install)  \
	   $(objdir_doc_cruft) $(objdir_doc) $(objdir_examples)            \
	   $(objdir_msw_shared) $(objdir_msw_static) $(objdir_msw_dbg)     \
	   $(objdir_msw_install)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.
#
#       similarly some of the wxpython packages are arch indep too, but
