=== debian/watch ===
version=3
http://sf.net/wxpython/wxPython-src-(.*)\.tar\.bz2 debian debian/repack.sh
